<?php
require_once('includes/config.php');
require_once('includes/functions/func.global.php');
require_once('includes/classes/class.template_engine.php');
require_once('includes/lang/lang_'.$config['lang'].'.php');

// Check if the script is installed
checkinstall($config);

// Connect to database
db_connect($config);

// Get Settings
$settings = get_settings('knowledgebase.php',$config);

if(!isset($_GET['cat']))
{
	$_GET['cat'] = 0;
}

if(isset($_GET['i']))
{
	$faq_entries = array();
	
	$query2 = "SELECT faq_id,faq_question,faq_answer FROM ".$config['db']['pre']."faq_entries WHERE faq_id='".validate_input($_GET['i'])."' LIMIT 1";
	$query_result2 = mysql_query($query2);
	$faq_entry = mysql_fetch_array($query_result2);
	
	$page = new HtmlTemplate ('templates/' . $config['tpl_name'] . '/knowledgebase_view.html');
	$page->SetParameter ('OVERALL_HEADER', create_header($config,$lang));
	$page->SetParameter ('SITE_TITLE', $config['site_title']);
	$page->SetParameter ('KNOWLEDGEBASE_ID', $faq_entry['faq_id']);
	$page->SetParameter ('KNOWLEDGEBASE_QUESTION', $faq_entry['faq_question']);
	$page->SetParameter ('KNOWLEDGEBASE_ANSWER', $faq_entry['faq_answer']);
	$page->SetParameter ('OVERALL_FOOTER', create_footer($config,$lang));
	$page->CreatePageEcho($lang,$config);
}
else
{
	$faq_cats = array();
	$cat_count = 1;
	
	$query2 = "SELECT cat_id,cat_title FROM ".$config['db']['pre']."faq_cats WHERE parent_id='".validate_input($_GET['cat'])."' ORDER BY cat_title";
	$query_result2 = mysql_query($query2);
	while ($info2 = mysql_fetch_array($query_result2))
	{
		$faq_cats[$info2['cat_id']]['id'] = $info2['cat_id'];
		$faq_cats[$info2['cat_id']]['title'] = stripslashes($info2['cat_title']);
		$faq_cats[$info2['cat_id']]['count'] = $cat_count;
		
		$cat_count++;
	}

	$faq_entries = array();
	
	$query2 = "SELECT faq_id,faq_question,faq_answer FROM ".$config['db']['pre']."faq_entries WHERE cat_id='".validate_input($_GET['cat'])."'";
	$query_result2 = mysql_query($query2);
	while ($info2 = mysql_fetch_array($query_result2))
	{
		$faq_entries[$info2['faq_id']]['id'] = $info2['faq_id'];
		$faq_entries[$info2['faq_id']]['question'] = stripslashes($info2['faq_question']);
		$faq_entries[$info2['faq_id']]['answer'] = stripslashes($info2['faq_answer']);
	}
	
	$page = new HtmlTemplate ('templates/' . $config['tpl_name'] . '/knowledgebase.html');
	$page->SetParameter ('OVERALL_HEADER', create_header($config,$lang));
	$page->SetParameter ('SITE_TITLE', $config['site_title']);
	$page->SetParameter ('KNOWLEDGEBASE_COUNT', count($faq_entries));
	$page->SetLoop ('KNOWLEDGEBASE', $faq_entries);
	$page->SetLoop ('CATS', $faq_cats);
	$page->SetParameter ('OVERALL_FOOTER', create_footer($config,$lang));
	$page->CreatePageEcho($lang,$config);
}
?>